Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class SaxonApiException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.saxon.s9api.SaxonApiException

All Implemented Interfaces:
  java.io.Serializable

    public class SaxonApiException

extends java.lang.Exception

An exception thrown by the Saxon s9api API. This is always a wrapper for some other underlying exception

See Also:
  Serialized Form

Constructor Summary
`SaxonApiException(java.lang.String message)` Create a SaxonApiException
`SaxonApiException(java.lang.Throwable e)` Create a SaxonApiException

Method Summary
`java.lang.String` | `getMessage()` Returns the detail message string of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaxonApiException

    public SaxonApiException(java.lang.Throwable e)

  Create a SaxonApiException

  Parameters:
    `e` - the underlying exception

### SaxonApiException

    public SaxonApiException(java.lang.String message)

  Create a SaxonApiException

  Parameters:
    `message` - the message

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the detail message string of this throwable.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.